Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicToolBarUI.FrameListener

    java.lang.Object
      |
      +--java.awt.event.WindowAdapter
            |
            +--javax.swing.plaf.basic.BasicToolBarUI.FrameListener

All Implemented Interfaces:
  EventListener, WindowFocusListener, WindowListener, WindowStateListener

Enclosing class:
  BasicToolBarUI

protected class BasicToolBarUI.FrameListener
extends WindowAdapter

Constructor Summary
`protected` | `BasicToolBarUI.FrameListener()`

Method Summary
`void` | `windowClosing(WindowEvent w)` Invoked when a window is in the process of being closed.

Methods inherited from class java.awt.event.WindowAdapter
`windowActivated, windowClosed, windowDeactivated, windowDeiconified, windowGainedFocus, windowIconified, windowLostFocus, windowOpened, windowStateChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicToolBarUI.FrameListener

    protected BasicToolBarUI.FrameListener()

Method Detail

### windowClosing

    public void windowClosing(WindowEvent w)

  Description copied from class: `WindowAdapter`
  Invoked when a window is in the process of being closed. The close operation can be overridden at this point.

  Specified by:
    `windowClosing` in interface `WindowListener`
  Overrides:
    `windowClosing` in class `WindowAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.